## org.apache.commons.math3.geometry.euclidean.threed
Class CardanEulerSingularityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.apache.commons.math3.exception.MathIllegalStateException
                          org.apache.commons.math3.geometry.euclidean.threed.CardanEulerSingularityException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class CardanEulerSingularityException

extends MathIllegalStateException

This class represents exceptions thrown while extractiong Cardan or Euler angles from a rotation.

Since:
  1.2
Version:
  $Id: CardanEulerSingularityException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`CardanEulerSingularityException(boolean isCardan)` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### CardanEulerSingularityException

    public CardanEulerSingularityException(boolean isCardan)

  Simple constructor. build an exception with a default message.

  Parameters:
    `isCardan` - if true, the rotation is related to Cardan angles, if false it is related to EulerAngles

Copyright (c) 2003-2013 Apache Software Foundation